summaryrefslogtreecommitdiffstats
path: root/scripts/mk-images.i386
diff options
context:
space:
mode:
authorJeremy Katz <katzj@redhat.com>2003-07-08 02:30:36 +0000
committerJeremy Katz <katzj@redhat.com>2003-07-08 02:30:36 +0000
commit390977d3ee0ebc010168ce04573f63ae15458718 (patch)
tree2a1675e080092552dcf1328442eb7c1182e2809d /scripts/mk-images.i386
parentb42b2d3ed9014843d833dcae2a76cd3b1fbc1c5d (diff)
downloadanaconda-390977d3ee0ebc010168ce04573f63ae15458718.tar.gz
anaconda-390977d3ee0ebc010168ce04573f63ae15458718.tar.xz
anaconda-390977d3ee0ebc010168ce04573f63ae15458718.zip
add the start of support for having i686 on the CD (acpi) and kernel-BOOT
on the floppies still. eventually, we'll probably want to have both on the CD, but for now, we'll say to fall back to floppies if you can't use the CD kernel
Diffstat (limited to 'scripts/mk-images.i386')
-rw-r--r--scripts/mk-images.i38632
1 files changed, 20 insertions, 12 deletions
diff --git a/scripts/mk-images.i386 b/scripts/mk-images.i386
index 67e462a08..b58c0accb 100644
--- a/scripts/mk-images.i386
+++ b/scripts/mk-images.i386
@@ -144,22 +144,15 @@ PCMCIAMODULES=`echo $PCMCIAMODULES | eval "$PCMCIAMODULES_EXCLUDED_SED"`
PCMCIAMODULES="$PCMCIAMODULES yenta_socket i82365 tcic pcmcia_core ds"
makeBootImages() {
- echo "Building $TOPDESTPATH/images/pxeboot/initrd.img"
+ if [ "$KERNELARCH" = "i386" ]; then
+ echo "Building $KERNELARCH $TOPDESTPATH/images/pxeboot/initrd.img"
makeinitrd --initrdto $TOPDESTPATH/images/pxeboot/initrd.img \
--pcmcia --nobogl \
--initrdsize 4750 \
--loaderbin loader \
--modules "$COMMONMODULES"
- echo "Building initrd-everything.img"
- makeinitrd --initrdto $TOPDESTPATH/images/pxeboot/initrd-everything.img \
- --pcmcia \
- --initrdsize 7000 \
- --loaderbin loader \
- --modules "$LOCALMODULES $NETWORKMODULES $PCMCIAMAINMODULES $PCMCIAMODULES $ISOLINUXMODULES =scsi =net"
- [ $? = 0 ] || exit 1
-
- echo "Building bootdisk.img"
+ echo "Building $KERNELARCH bootdisk.img"
makebootdisk --kernelto $TOPDESTPATH/images/pxeboot/vmlinuz \
--bootdisksize 1440 \
--imagename $BOOTDIR/bootdisk.img \
@@ -168,7 +161,7 @@ makeBootImages() {
rm -f $TOPDESTPATH/images/pxeboot/initrd.img
- echo "Building drvblock.img"
+ echo "Building $KERNELARCH drvblock.img"
makedriverdisk --padsize 1440 "Supplemental Block Device Drivers" "drvblock" "=scsi"
# JKFIXME: was exit 1
[ $? = 0 ] || echo "ERROR: failed to write drvblock"
@@ -176,10 +169,24 @@ makeBootImages() {
makedriverdisk --padsize 1440 "Supplemental Network Drivers" "drvnet" "=net"
[ $? = 0 ] || echo "ERROR: failed to write drvnet"
- echo "Building pcmciadd.img"
+ echo "Building $KERNELARCH pcmciadd.img"
makedriverdisk --padsize 1440 "PCMCIA Driver Diskette" "pcmciadd" "$PCMCIAMODULES"
[ $? = 0 ] || echo "ERROR: failed to write pcmciadd"
+ fi
+
+ # FIXME: this is so that we can switch back and forth. if we want both
+ # on the CD, then more needs to be done, esp for things like isolinux.cfg
+ # Right now, last one wins
+ if [ "$KERNELARCH" = "i686" -o "$KERNELARCH" = "i386" -o "$KERNELARCH" = "i586" -o "$KERNELARCH" = "athlon" ]; then
+ echo "Building $KERNELARCH initrd-everything.img"
+ makeinitrd --initrdto $TOPDESTPATH/images/pxeboot/initrd-everything.img \
+ --pcmcia \
+ --initrdsize 7000 \
+ --loaderbin loader \
+ --modules "$LOCALMODULES $NETWORKMODULES $PCMCIAMAINMODULES $PCMCIAMODULES $ISOLINUXMODULES =scsi =net"
+ [ $? = 0 ] || exit 1
+
if [ -f $IMGPATH/usr/lib/syslinux/isolinux.bin ]; then
echo "Building isolinux directory"
MBD_BOOTTREE=$TOPDESTPATH/isolinux
@@ -224,6 +231,7 @@ vmlinuz - the BOOT kernel used for the installer
initrd.img - an initrd with support for all install methods and
drivers supported for installation of Red Hat Linux
EOF
+ fi
}
makeSecondStage() {